//---------------------------------------------------------------------------

#ifndef DebtMainH
#define DebtMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TStringGrid *DataGrid;
    TButton *AddButton;
    TButton *PlanButton;
    TPopupMenu *AccountPopup;
    TMenuItem *AddAccount1;
    TMenuItem *EditAccount1;
    TMenuItem *DeleteAccount1;
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *Open1;
    TMenuItem *Save1;
    TMenuItem *N1;
    TMenuItem *Exit1;
    TMenuItem *Help1;
    TMenuItem *HelpTopics1;
    TMenuItem *N2;
    TMenuItem *About1;
    TOpenDialog *OpenDialog;
    TMenuItem *New1;
    void __fastcall AddButtonClick(TObject *Sender);
    void __fastcall DoGridDblClick(TObject *Sender);
    void __fastcall PlanButtonClick(TObject *Sender);
    void __fastcall DeleteAccountClick(TObject *Sender);
    void __fastcall DoCloseing(TObject *Sender, TCloseAction &Action);
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall About1Click(TObject *Sender);
    void __fastcall Open1Click(TObject *Sender);
    void __fastcall Save1Click(TObject *Sender);
    void __fastcall HelpTopics1Click(TObject *Sender);
    void __fastcall New1Click(TObject *Sender);
private:	// User declarations
    vector<CAccount*> accounts;
    void CalcPlan(TStrings *out);
    double GetBalance(vector<CAccount*> &acts);
    double GetMinimum(vector<CAccount*> & acts);
    void SortAccounts(vector<CAccount*> & acts);
    String GetLine(String name, double paid, double balance);
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
    void UpdateGrid();
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
