//---------------------------------------------------------------------------

#ifndef SubActFormH
#define SubActFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TSubAccountForm : public TForm
{
__published:	// IDE-managed Components
    TEdit *BalanceEdit;
    TEdit *StartEdit;
    TEdit *EndEdit;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TButton *OKButton;
    TButton *CancelButton;
    TDateTimePicker *ChangeDate;
    TLabel *Label5;
    TLabel *Label6;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall CancelButtonClick(TObject *Sender);
    void __fastcall BalanceEditChange(TObject *Sender);
    void __fastcall StartEditChange(TObject *Sender);
    void __fastcall EndEditChange(TObject *Sender);
    void __fastcall DoDateChange(TObject *Sender);
private:	// User declarations
    CSubAccount *subaccount;
    double EditToDouble(TEdit *edit, double def=0);
public:		// User declarations
    __fastcall TSubAccountForm(TComponent* Owner);
    CSubAccount* EditSubAccount(CSubAccount *sub);
};
//---------------------------------------------------------------------------
extern PACKAGE TSubAccountForm *SubAccountForm;
//---------------------------------------------------------------------------
#endif
