//---------------------------------------------------------------------------

#ifndef ActFormH
#define ActFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TAccountForm : public TForm
{
__published:	// IDE-managed Components
    TStringGrid *DataGrid;
    TButton *OKButton;
    TButton *CancelButton;
    TButton *AddButton;
    TEdit *NameEdit;
    TLabel *Label1;
    TEdit *MinAbsEdit;
    TEdit *MinPerEdit;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TPopupMenu *PopupMenu;
    TMenuItem *AddSubaccount1;
    TMenuItem *EditSubaccount1;
    TMenuItem *DeleteSubaccount1;
    void __fastcall OKButtonClick(TObject *Sender);
    void __fastcall CancelButtonClick(TObject *Sender);
    void __fastcall AddButtonClick(TObject *Sender);
    void __fastcall NameEditChange(TObject *Sender);
    void __fastcall MinAbsEditChange(TObject *Sender);
    void __fastcall MinPerEditChange(TObject *Sender);
    void __fastcall DoGridDblClick(TObject *Sender);
    void __fastcall DeleteSubaccountClick(TObject *Sender);
private:	// User declarations
    CAccount *account;
public:		// User declarations
    __fastcall TAccountForm(TComponent* Owner);
    void UpdateGrid();
    CAccount* EditAccount(CAccount *act);
};
//---------------------------------------------------------------------------
extern PACKAGE TAccountForm *AccountForm;
//---------------------------------------------------------------------------
#endif
